/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { ProjectMinimalDto } from './project-minimal-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { PublicUserDto } from './public-user-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { RoleMinimalDto } from './role-minimal-dto';

/**
 * Represents a data transfer object (DTO) for project invitations.
 * @export
 * @interface ProjectInvitationDto
 */
export interface ProjectInvitationDto {
    /**
     * Unique identifier for the invitation.
     * @type {string}
     * @memberof ProjectInvitationDto
     */
    'id'?: string;
    /**
     * Expiration date of the invitation.
     * @type {string}
     * @memberof ProjectInvitationDto
     */
    'expirationDate'?: string;
    /**
     * Email associated with the invitation.
     * @type {string}
     * @memberof ProjectInvitationDto
     */
    'email'?: string;
    /**
     * 
     * @type {PublicUserDto}
     * @memberof ProjectInvitationDto
     */
    'issuer'?: PublicUserDto;
    /**
     * 
     * @type {ProjectMinimalDto}
     * @memberof ProjectInvitationDto
     */
    'project'?: ProjectMinimalDto;
    /**
     * 
     * @type {RoleMinimalDto}
     * @memberof ProjectInvitationDto
     */
    'role'?: RoleMinimalDto;
}

